#include <stdio.h>

int main() {
	int a = 3;

	printf("a = %d\n", a);

	/*
	 * Der Operator ++ am Ende ist ein Postinkrement,
	 * d.h. erst wird der Wert des Linkswertes bestimmt
	 * und dann erst wird dieser inkrementiert. Daher
	 * ist der Wert von a++ auch der Wert von a VOR
	 * dem Inkrementieren!
	 */
	printf("a++ = %d\n", a++);
	printf("a = %d\n", a);

	/*
	 * ++ am Anfang ist ein sogenanntes Preinkrement.
	 * Hier wird zuerst inkrementiert und dann der Wert
	 * bestimmt. Der Wert von ++a ist also der Wert von a
	 * NACH dem Inkrementieren.
	 */
	printf("++a = %d\n", ++a);
	printf("a = %d\n", a);

	/*
	 * analog zu ++ gibt es auch -- zum Dekrementieren
	 */

	return 0;
}
