#include <stdio.h>

int main() {
	char a;
	char *p = &a;
	int b[100];

	/*
	 * mit sizeof(.) kann man bestimmen, wieviel Speicherplatz
	 * benoetigt wird
	 */
	printf("sizeof(a) = %d\n", sizeof(a));
	printf("sizeof(p) = %d\n", sizeof(p));
	printf("sizeof(*p) = %d\n", sizeof(*p));
	/*
	 * ... auch fuer Konstanten ;-)
	 */
	printf("sizeof(3) = %d\n", sizeof(3));
	/*
	 * bei Arrays funktioniert dies nur dort, wo sie
	 * definiert wurden -- woanders (wenn das Array z.B. als
	 * Parameter einer Funktion uebergeben wurde) ist dies nicht
	 * mehr moeglich!
	 */
	printf("sizeof(b) = %d\n", sizeof(b));

	/*
	 * zusaetzlicher Hinweis: man kann bei sizeof(.) auch Typen
	 * angeben, d.h. sizeof(int) funktioniert beispielsweise!
	 */

	return 0;
}
